Recommended update for libica

SUSE Recommended Update: Recommended update for libica
Announcement ID: SUSE-RU-2019:0625-1
Rating: moderate
References: #1125890
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15

An update that has one recommended fix can now be installed.

Description:

This update for libica fixes the following issues:

  • Fixed an out of bounds write in the AES GCM routines, where icainfo generating a SIGABRT free(): invalid pointer error. (bsc#1125890)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-625=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15 (s390x):
    • libica-debugsource-3.2.0-6.3.1
    • libica-devel-3.2.0-6.3.1
    • libica-devel-static-3.2.0-6.3.1
    • libica-tools-3.2.0-6.3.1
    • libica-tools-debuginfo-3.2.0-6.3.1
    • libica3-3.2.0-6.3.1
    • libica3-debuginfo-3.2.0-6.3.1

References: